local SaltProduction = ...

-- Register model for stocking asset
SaltProduction:registerAssetId("models/sacs.fbx/Prefab/sacs","MY_SACS")

SaltProduction:registerPrefabComponent("models/sacs.fbx/Prefab/sacs", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
SaltProduction:registerAssetId("icons/salt.png", "ICON_SALT2")

SaltProduction:register({
	DataType = "RESOURCE",
	Id = "SALT2",
	ResourceName = "SALT2",
	Icon = "ICON_SALT2",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "OPEN_BAGS",
        Prefab = "MY_SACS",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 }
})

-- Register image assets
SaltProduction:registerAssetId("icons/brine.png", "ICON_BRINE")

SaltProduction:register({
	DataType = "RESOURCE",
	Id = "BRINE",
	ResourceName = "BRINE",
	Icon = "ICON_BRINE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
        ResourceLayoutType = "CRATES"
})
